<?php

declare(strict_types=1);

namespace Paysera\CheckoutSdk\Entity;

class RefundCallback
{
    private string $orderId;
    private string $reference;
    private RefundStatus $refundStatus;
    private int $amount;
    private string $currency;
    private int $timestamp;

    public function __construct(
        string $orderId,
        string $reference,
        RefundStatus $refundStatus,
        int $amount,
        string $currency,
        int $timestamp
    ) {
        $this->orderId = $orderId;
        $this->reference = $reference;
        $this->refundStatus = $refundStatus;
        $this->amount = $amount;
        $this->currency = $currency;
        $this->timestamp = $timestamp;
    }

    public function getOrderId(): string
    {
        return $this->orderId;
    }

    public function getReference(): string
    {
        return $this->reference;
    }

    public function getAmount(): int
    {
        return $this->amount;
    }

    public function getCurrency(): string
    {
        return $this->currency;
    }

    public function getRefundStatus(): RefundStatus
    {
        return $this->refundStatus;
    }

    public function getTimestamp(): int
    {
        return $this->timestamp;
    }
}
